Overview
GET
/access/rolesaccessList a workspace's roles with their per-feature grants
List roles.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- workspacequerystring
Responses
200
Roles
- rolesAccessRole[]
Example
{
"roles": [
{
"id": "string",
"slug": "string",
"name": "string",
"description": "string",
"isSystem": true,
"defaultFor": "",
"grants": [
{
"feature": "string",
"itemVerbs": "string",
"subitemVerbs": "string"
}
]
}
]
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/access/roles" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/access/roles", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();